package stackjava.com.springbootprofiles.controller;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;

@Controller
public class BaseController {
	
	@Value("${environment}")
	private String environment;
	
	@RequestMapping("/")
	public String index(Model model) {
		model.addAttribute("environment", environment);
		return "index";
	}
}
